Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDTRANSACTIONschemes

java.lang.Object
java.lang.Enum<CDTRANSACTIONschemes>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDTRANSACTIONschemes

All Implemented Interfaces:
  `Serializable`, `Comparable<CDTRANSACTIONschemes>`, `java.lang.constant.Constable`

public enum CDTRANSACTIONschemes extends Enum<CDTRANSACTIONschemes>

Java class for CD-TRANSACTIONschemes

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TRANSACTIONschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-TRANSACTION"/>
         <enumeration value="CD-TRANSACTION-CARENET"/>
         <enumeration value="CD-TRANSACTION-MAA"/>
         <enumeration value="CD-CHAPTER4APPENDIX"/>
         <enumeration value="CD-TRANSACTION-REG"/>
         <enumeration value="CD-TRANSACTION-MYCARENET"/>
         <enumeration value="CD-TRANSACTION-TYPE"/>
         <enumeration value="CD-HUBSERVICE"/>
         <enumeration value="CD-DIARY"/>
         <enumeration value="LOCAL"/>
         <enumeration value="CD-LABORESULT-TYPE"/>
         <enumeration value="CD-TRANSACTION-INC-NOT"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CD_CHAPTER_4_APPENDIX`
  `CD_DIARY`
  `CD_HUBSERVICE`
  `CD_LABORESULT_TYPE`
  `CD_TRANSACTION`
  `CD_TRANSACTION_CARENET`
  `CD_TRANSACTION_INC_NOT`
  `CD_TRANSACTION_MAA`
  `CD_TRANSACTION_MYCARENET`
  `CD_TRANSACTION_REG`
  `CD_TRANSACTION_TYPE`
  `LOCAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDTRANSACTIONschemes`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDTRANSACTIONschemes`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDTRANSACTIONschemes[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CD_TRANSACTION

    public static final CDTRANSACTIONschemes CD_TRANSACTION

  - ### CD_TRANSACTION_CARENET

    public static final CDTRANSACTIONschemes CD_TRANSACTION_CARENET

  - ### CD_TRANSACTION_MAA

    public static final CDTRANSACTIONschemes CD_TRANSACTION_MAA

  - ### CD_CHAPTER_4_APPENDIX

    public static final CDTRANSACTIONschemes CD_CHAPTER_4_APPENDIX

  - ### CD_TRANSACTION_REG

    public static final CDTRANSACTIONschemes CD_TRANSACTION_REG

  - ### CD_TRANSACTION_MYCARENET

    public static final CDTRANSACTIONschemes CD_TRANSACTION_MYCARENET

  - ### CD_TRANSACTION_TYPE

    public static final CDTRANSACTIONschemes CD_TRANSACTION_TYPE

  - ### CD_HUBSERVICE

    public static final CDTRANSACTIONschemes CD_HUBSERVICE

  - ### CD_DIARY

    public static final CDTRANSACTIONschemes CD_DIARY

  - ### LOCAL

    public static final CDTRANSACTIONschemes LOCAL

  - ### CD_LABORESULT_TYPE

    public static final CDTRANSACTIONschemes CD_LABORESULT_TYPE

  - ### CD_TRANSACTION_INC_NOT

    public static final CDTRANSACTIONschemes CD_TRANSACTION_INC_NOT

- ## Method Details

  - ### values

    public static CDTRANSACTIONschemes[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDTRANSACTIONschemes valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDTRANSACTIONschemes fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.